Bug 1551461 - [UPDATES] Failed to setup heat-output: refusing to convert between directory and link for /var/log/containers/swift
Summary: [UPDATES] Failed to setup heat-output: refusing to convert between directory ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: z2
: 12.0 (Pike)
Assignee: Jiri Stransky
QA Contact: Raviv Bar-Tal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-05 08:47 UTC by Yurii Prokulevych
Modified: 2018-03-28 17:18 UTC (History)
9 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.9-7.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-28 17:17:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0602 None None None 2018-03-28 17:18:18 UTC
OpenStack gerrit 549810 None None None 2018-03-06 16:30:49 UTC
Launchpad 1753527 None None None 2018-03-05 15:57:01 UTC

Description Yurii Prokulevych 2018-03-05 08:47:06 UTC
Description of problem:
-----------------------
Attempt to setup heat's output for minor update failed:
openstack overcloud update stack --init-minor-update \
    --stack overcloud \
    --container-registry-file /home/stack/virt/docker-images.yaml 2>&1
...
2018-03-02 21:48:32Z [overcloud-AllNodesDeploySteps-qo3e7ltzhoiu.ComputeHostPrepDeployment]: UPDATE_COMPLETE  state changed
2018-03-02 21:48:32Z [overcloud-AllNodesDeploySteps-qo3e7ltzhoiu-ControllerHostPrepDeployment-oz2myuiupb6v]: UPDATE_FAILED  Error: resources[1]: Deployment to server failed: deploy_status_code : Deployment exite
d with non-zero status code: 2
2018-03-02 21:48:33Z [overcloud-AllNodesDeploySteps-qo3e7ltzhoiu.ControllerHostPrepDeployment]: UPDATE_FAILED  resources.ControllerHostPrepDeployment: Error: resources[1]: Deployment to server failed: deploy_sta
tus_code : Deployment exited with non-zero status code: 2
2018-03-02 21:48:34Z [overcloud-AllNodesDeploySteps-qo3e7ltzhoiu]: UPDATE_FAILED  resources.ControllerHostPrepDeployment: Error: resources[1]: Deployment to server failed: deploy_status_code : Deployment exited 
with non-zero status code: 2
2018-03-02 21:48:35Z [AllNodesDeploySteps]: UPDATE_FAILED  resources.AllNodesDeploySteps: resources.ControllerHostPrepDeployment: Error: resources[1]: Deployment to server failed: deploy_status_code : Deployment
 exited with non-zero status code: 2
2018-03-02 21:48:36Z [overcloud]: UPDATE_FAILED  resourcHeat Stack update failed.
Heat Stack update failed.
es.AllNodesDeploySteps: resources.ControllerHostPrepDeployment: Error: resources[1]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 2

 Stack overcloud UPDATE_FAILED 

overcloud.AllNodesDeploySteps.ControllerHostPrepDeployment.1:
  resource_type: OS::Heat::SoftwareDeployment
  physical_resource_id: 43eb081e-43a8-4239-ba22-c1fdf2872ea0
  status: UPDATE_FAILED
  status_reason: |
    Error: resources[1]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 2
  deploy_stdout: |
    ...
    ok: [localhost] => (item=/srv/node)
    ok: [localhost] => (item=/var/log/swift)
    
    TASK [Create swift logging symlink] ********************************************
    fatal: [localhost]: FAILED! => {"changed": false, "failed": true, "gid": 42445, "group": "42445", "mode": "0755", "msg": "refusing to convert between directory and link for /var/log/containers/swift", "owner
": "42445", "path": "/var/log/containers/swift", "secontext": "system_u:object_r:var_log_t:s0", "size": 6, "state": "directory", "uid": 42445}
        to retry, use: --limit @/var/lib/heat-config/heat-config-ansible/4b927ede-1249-4645-881a-089a20c3f369_playbook.retry
    
    PLAY RECAP *********************************************************************
    localhost                  : ok=38   changed=12   unreachable=0    failed=1   
    
    (truncated, view all with --long)
  deploy_stderr: |

overcloud.AllNodesDeploySteps.ControllerHostPrepDeployment.0:
  resource_type: OS::Heat::SoftwareDeployment
  physical_resource_id: bbd36224-006a-4aab-a6be-e2375dc91579
  status: UPDATE_FAILED
  status_reason: |
    Error: resources[0]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 2
  deploy_stdout: |
    ...
    ok: [localhost] => (item=/srv/node)
    ok: [localhost] => (item=/var/log/swift)
    
    TASK [Create swift logging symlink] ********************************************
    fatal: [localhost]: FAILED! => {"changed": false, "failed": true, "gid": 42445, "group": "42445", "mode": "0755", "msg": "refusing to convert between directory and link for /var/log/containers/swift", "owner": "42445", "path": "/var/log/containers/swift", "secontext": "system_u:object_r:var_log_t:s0", "size": 6, "state": "directory", "uid": 42445}
        to retry, use: --limit @/var/lib/heat-config/heat-config-ansible/36535190-7327-4ee0-a30e-6196840d2437_playbook.retry
    
    PLAY RECAP *********************************************************************
    localhost                  : ok=38   changed=12   unreachable=0    failed=1   
    
    (truncated, view all with --long)
  deploy_stderr: |

overcloud.AllNodesDeploySteps.ControllerHostPrepDeployment.2:
  resource_type: OS::Heat::SoftwareDeployment
  physical_resource_id: c9ecdc1b-ec9f-4698-bebc-3eac64f18634
  status: UPDATE_FAILED
  status_reason: |
    Error: resources[2]: Deployment to server failed: deploy_status_code : Deployment exited with non-zero status code: 2
  deploy_stdout: |
    ...
    ok: [localhost] => (item=/srv/node)
    ok: [localhost] => (item=/var/log/swift)
    
    TASK [Create swift logging symlink] ********************************************
    fatal: [localhost]: FAILED! => {"changed": false, "failed": true, "gid": 42445, "group": "42445", "mode": "0755", "msg": "refusing to convert between directory and link for /var/log/containers/swift", "owner": "42445", "path": "/var/log/containers/swift", "secontext": "system_u:object_r:var_log_t:s0", "size": 6, "state": "directory", "uid": 42445}
        to retry, use: --limit @/var/lib/heat-config/heat-config-ansible/93abe8de-3903-4d82-b95c-8724dfbfca22_playbook.retry
    
    PLAY RECAP *********************************************************************
    localhost                  : ok=38   changed=12   unreachable=0    failed=1   
    
    (truncated, view all with --long)
  deploy_stderr: |



Version-Release number of selected component (if applicable):
-------------------------------------------------------------
openstack-tripleo-ui-7.4.7-1.el7ost.noarch
openstack-tripleo-heat-templates-7.0.9-2.el7ost.noarch
python-tripleoclient-7.3.8-1.el7ost.noarch
openstack-tripleo-common-containers-7.6.9-1.el7ost.noarch
openstack-tripleo-common-7.6.9-1.el7ost.noarch
puppet-tripleo-7.4.8-1.el7ost.noarch
openstack-tripleo-puppet-elements-7.0.5-1.el7ost.noarch
openstack-tripleo-validations-7.4.6-1.el7ost.noarch
openstack-tripleo-image-elements-7.0.3-1.el7ost.noarch

Steps to Reproduce:
-------------------
1. Follow update procedure


Actual results:
---------------
Failed to setup playbooks for minor update

Comment 2 Jiri Stransky 2018-03-05 10:33:15 UTC
It looks like this might be caused by a rebase in tripleo-heat-templates RPM. The GA didn't contain this commit and the rebased templates do contain it, but update path hasn't been taken care of:

https://github.com/openstack/tripleo-heat-templates/commit/84e9425edab83578d09fa612a1e772b188a9c3db

Comment 9 Yurii Prokulevych 2018-03-23 14:58:23 UTC
Verified with openstack-tripleo-heat-templates-7.0.9-8.el7ost.noarch

penstack overcloud update stack --init-minor-update \
    --stack overcloud \
    --container-registry-file /home/stack/virt/docker-images.yaml 2>&1
...
2018-03-23 14:53:31Z [overcloud-AllNodesDeploySteps-i56alboket6u]: UPDATE_COMPLETE  Stack UPDATE completed successfully
2018-03-23 14:53:32Z [AllNodesDeploySteps]: UPDATE_COMPLETE  state changed
2018-03-23 14:53:47Z [overcloud]: UPDATE_COMPLETE  Stack UPDATE completed successfully

 Stack overcloud UPDATE_COMPLETE 

Heat stack update init on overcloud complete.
Started Mistral Workflow tripleo.package_update.v1.get_config. Execution ID: edc3571b-da55-4d36-970a-43f13143394b
Success
Init minor update on stack overcloud complete.

Comment 12 errata-xmlrpc 2018-03-28 17:17:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0602


Note You need to log in before you can comment on or make changes to this bug.